# Uses of Interface
org.eclipse.jface.dialogs.IPageChangedListener

Packages that use IPageChangedListener
Package
Description
org.eclipse.jface.dialogs
Provides support for dialogs.
org.eclipse.jface.preference
Provides a framework for preferences.
org.eclipse.jface.wizard
Provides a framework for wizards.
org.eclipse.ui.internal
org.eclipse.ui.part
Classes for the creation of workbench parts that integrate with the Eclipse Platform User Interface.

## Uses of IPageChangedListener in org.eclipse.jface.dialogs

Methods in org.eclipse.jface.dialogs with parameters of type IPageChangedListener
Modifier and Type
Method
Description
`void`
IPageChangeProvider.`addPageChangedListener(IPageChangedListener listener)`
Adds a listener for page changes in this page change provider.
`void`
IPageChangeProvider.`removePageChangedListener(IPageChangedListener listener)`
Removes the given page change listener from this page change provider.

## Uses of IPageChangedListener in org.eclipse.jface.preference

Methods in org.eclipse.jface.preference with parameters of type IPageChangedListener
Modifier and Type
Method
Description
`void`
PreferenceDialog.`addPageChangedListener(IPageChangedListener listener)`
`void`
PreferenceDialog.`removePageChangedListener(IPageChangedListener listener)`

## Uses of IPageChangedListener in org.eclipse.jface.wizard

Methods in org.eclipse.jface.wizard with parameters of type IPageChangedListener
Modifier and Type
Method
Description
`void`
WizardDialog.`addPageChangedListener(IPageChangedListener listener)`
`void`
WizardDialog.`removePageChangedListener(IPageChangedListener listener)`

## Uses of IPageChangedListener in org.eclipse.ui.internal

Classes in org.eclipse.ui.internal that implement IPageChangedListener
Modifier and Type
Class
Description
`class`
`PartService`

## Uses of IPageChangedListener in org.eclipse.ui.part

Methods in org.eclipse.ui.part with parameters of type IPageChangedListener
Modifier and Type
Method
Description
`void`
MultiPageEditorPart.`addPageChangedListener(IPageChangedListener listener)`
Add the page change listener to be notified when the page changes.
`void`
MultiPageEditorPart.`removePageChangedListener(IPageChangedListener listener)`
Remove the page change listener.